/* Mastodon embed */

.mastodon-embed {
  margin-left: auto;
  margin-right: auto;
  display: block;
  border-width: 5px;
  border-style: solid;
  border-color: var(--secondary-color);
  border-radius: 20px;
}

@media only screen and (max-width: 1024px) {
  .mastodon-embed {
    width: 100%;
  }
}

@media screen and (min-width: 1024px) {
  .mastodon-embed {
    width: 70%;
  }
}

.mastodon-avatar {
  width: 70px;
  display: inline-block;
  vertical-align: top;
  margin-bottom: 10px;
  border-radius: 5%;
}

.mastodon-username {
  display: inline-block;
  vertical-align: top;
  margin-left: 5px;
  margin-bottom: 10px;
}

.mastodon-username > a {
  color: var(--hidden-link);
}

/* Center all images */
img {
  margin-left: auto;
  margin-right: auto;
  display: block;
}

.caption {
  text-align: center;
}

/* Avatar centering */
.avatar {
  margin-left: auto;
  margin-right: auto;
}

.avatar > h1 {
  text-align: center;
}

.avatar > p > picture {
  margin-left: auto;
  margin-right: auto;
  display: block;
  width: 300px;
  aspect-ratio: 1/1;
}

.avatar > p > picture > img {
  width: 300px;
  aspect-ratio: 1/1;
}

/* Marking */
mark {
  line-height: 200%;
}

mark > a {
  color: var(--mark-color);
}

/* Hide bullets in list */
li.bulletless {
  list-style: none;
}

/* Use same color for links in bulletless links */
li.bulletless > strong > a {
  color: var(--hidden-link);
}

/* Title in header of articles does not need bottom margin */
header > h1 {
  margin-bottom: 0;
}

/* Pill shaped tag */
.pill {
  line-height: 150%;
  margin-right: 5px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 30px;
  background-color: var(--contrast);
  border: none;
  color: var(--contrast-inverse);
}

/* Contact icons styling */
.contact {
  text-align: center;
}

.contact > a {
  text-decoration: none;
}

.contact > a > i {
  color: var(--hidden-link);
}

.contact > a > svg {
  color: var(--hidden-link);
  width: 2em;
  height: 2em;
}

/* Do not highlight hidden links and navigation links */
nav > ul > li > a > strong {
  color: var(--hidden-link);
}

/* Colors */
[data-theme="light"],
:root:not([data-theme="dark"]) {
  --primary: #AC2126;
  --primary-hover: #000000;
  --primary-focus: rgba(229, 57, 53, 0.125);
  --primary-inverse: #FFF;
  --hidden-link: hsl(205, 20%, 32%);
}

@media only screen and (prefers-color-scheme: dark) {
  :root:not([data-theme]) {
    --primary: #FE7A7A;
    --primary-hover: #FFF;
    --primary-focus: rgba(229, 57, 53, 0.25);
    --primary-inverse: #FFF;
    --hidden-link: hsl(205, 16%, 77%);
  }
}

[data-theme="dark"] {
  --primary: #FE7A7A;
  --primary-hover: #FFF;
  --primary-focus: rgba(229, 57, 53, 0.25);
  --primary-inverse: #FFF;
  --hidden-link: hsl(205, 16%, 77%);
}

:root {
  --form-element-active-border-color: var(--primary);
  --form-element-focus-color: var(--primary-focus);
  --switch-color: var(--primary-inverse);
  --switch-checked-background-color: var(--primary);
}
